# Generated by Django 4.2.4 on 2023-12-05 20:20

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("wrinklypages", "0004_alter_urlspace_url"),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name="urlspace",
            name="if_url_is_redirect_then_url_has_redirectdestination",
        ),
        migrations.AlterField(
            model_name="urlspace",
            name="contenttype",
            field=models.CharField(
                choices=[
                    (None, "(Unknown)"),
                    ("Rd", "Redirect Destination"),
                    ("Wp", "Wrinkly Page"),
                    ("Re", "Reserved"),
                ],
                default="Re",
                max_length=2,
                verbose_name="Content type",
            ),
        ),
        migrations.AddConstraint(
            model_name="urlspace",
            constraint=models.CheckConstraint(
                check=models.Q(
                    models.Q(("contenttype", "Rd"), _negated=True),
                    ("redirect_destination__isnull", False),
                    _connector="OR",
                ),
                name="if_url_is_redirect_then_url_has_redirectdestination",
            ),
        ),
    ]
